From 5022dd602b75b76ac41ea62e178c37a7deb04ab2 Mon Sep 17 00:00:00 2001
From: Jean-Christophe Helary <jean.christophe.helary@traduction-libre.org>
Date: Thu, 16 May 2024 17:36:14 +0900
Subject: [PATCH] Add reference to eww-search-words in the manual

---
 doc/misc/eww.texi | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/misc/eww.texi b/doc/misc/eww.texi
index eec6b3c3299..dd480ddbcb3 100644
--- a/doc/misc/eww.texi
+++ b/doc/misc/eww.texi
@@ -83,8 +83,10 @@ Basics
 @findex eww
 @findex eww-open-file
 @vindex eww-search-prefix
+@findex eww-search-words
 @cindex eww
 @cindex Web Browsing
+@cindex Web Search
   You can open a URL or search the web with the command @kbd{M-x eww}.
 If the input doesn't look like a URL or domain name the web will be
 searched via @code{eww-search-prefix}.  The default search engine is
@@ -97,6 +99,10 @@ Basics
 buffer instead of reusing the default one, which is normally called
 @file{*eww*}.
 
+  You can also directly search the region by invoking @kbd{M-s M-w}
+(@code{eww-search-words}). If the region is empty, EWW will act as if
+you invoked it directly.
+
 @findex eww-quit
 @findex eww-reload
 @findex eww-copy-page-url
-- 
2.44.0

